---
title: Introduction
weight: 1
---

Before installing Mailcoach, make sure you have [a valid license](/docs/laravel-mailcoach/v4/installation/getting-a-license).

There are three ways to install Mailcoach on traditional hosting (for Vapor, head to [the dedicated instructions](/docs/laravel-mailcoach/v4/installation-on-vapor/):

1. If you already have a Laravel 8 application, you can install Mailcoach as a package inside it. Doing so, you can integrate Mailcoach in your application in many interesting ways. If you know Laravel, then this is the recommended route. Head over to the [package installation instructions](/docs/laravel-mailcoach/v4/installation/in-an-existing-laravel-app) to continue.

2. If you have experience with Laravel and PHP, but don't want to install Mailcoach in an existing application, you can use our standalone app. This standalone app is a regular Laravel app, where Mailcoach has been preinstalled with. It also comes with basic user management. You can [use composer to create this standalone app](/docs/laravel-mailcoach/v4/installation/as-a-standalone-app).

3. If you have no experience with Laravel or PHP, you can still use Mailcoach. [Our 1-click-installer](/docs/laravel-mailcoach/v4/installation/using-the-1-click-installer) can provision a new server at [Digital Ocean](https://www.digitalocean.com), and install Mailcoach on it as a standalone application with basic user management.


